Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SlamGoalRecognizer::ColoredPartsCheck Struct Reference

`#include <SlamGoalRecognizer.h>`

Collaboration diagram for SlamGoalRecognizer::ColoredPartsCheck:

[legend]
List of all members.

## Public Types
enum | { maxNumberOfParts = 20 }
## Public Member Functions
| ColoredPartsCheck ()
bool | determineLargePart (int size, bool beginIsOnBorder, bool endIsOnBorder, CameraMatrix cameraMatrix, CameraInfo cameraInfo)
## Public Attributes
Vector2< int > | firstPoint
Vector2< int > | lastPoint
int | rangeOfColor
int | numberOfColoredPixels
int | numberOfLargeParts
int | sizeOfLargePart [maxNumberOfParts]
Vector2< int > | largePartBegin [maxNumberOfParts]
Vector2< int > | largePartEnd [maxNumberOfParts]
Vector2< double > | largePartBeginAngles [maxNumberOfParts]
Vector2< double > | largePartEndAngles [maxNumberOfParts]
bool | largePartBeginIsOnBorder [maxNumberOfParts]
bool | largePartEndIsOnBorder [maxNumberOfParts]

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  maxNumberOfParts |
Definition at line 46 of file SlamGoalRecognizer.h.

## Constructor & Destructor Documentation

SlamGoalRecognizer::ColoredPartsCheck::ColoredPartsCheck | ( |  | ) | `[inline]`

| Definition at line 57 of file SlamGoalRecognizer.h.

## Member Function Documentation

bool SlamGoalRecognizer::ColoredPartsCheck::determineLargePart | ( | int | size,
|  | bool | beginIsOnBorder,
|  | bool | endIsOnBorder,
|  | CameraMatrix | cameraMatrix,
|  | CameraInfo | cameraInfo
| ) | `[inline]`

| Definition at line 62 of file SlamGoalRecognizer.h. References Geometry::calculateAnglesForPoint(), LINE, Vector2< int >::x, and Vector2< int >::y. Referenced by SlamGoalRecognizer::scanHorizontalForGoals(), and SlamGoalRecognizer::scanLinesForGoals().

Here is the call graph for this function:

## Member Data Documentation

Vector2<int> SlamGoalRecognizer::ColoredPartsCheck::firstPoint

| Definition at line 41 of file SlamGoalRecognizer.h. Referenced by SlamGoalRecognizer::scanHorizontalForGoals(), and SlamGoalRecognizer::scanLinesForGoals().

Vector2<int> SlamGoalRecognizer::ColoredPartsCheck::lastPoint

| Definition at line 42 of file SlamGoalRecognizer.h. Referenced by SlamGoalRecognizer::scanHorizontalForGoals(), and SlamGoalRecognizer::scanLinesForGoals().

int SlamGoalRecognizer::ColoredPartsCheck::rangeOfColor

| Definition at line 43 of file SlamGoalRecognizer.h. Referenced by SlamGoalRecognizer::scanHorizontalForGoals(), and SlamGoalRecognizer::scanLinesForGoals().

int SlamGoalRecognizer::ColoredPartsCheck::numberOfColoredPixels

| Definition at line 44 of file SlamGoalRecognizer.h. Referenced by SlamGoalRecognizer::scanHorizontalForGoals(), and SlamGoalRecognizer::scanLinesForGoals().

int SlamGoalRecognizer::ColoredPartsCheck::numberOfLargeParts

| Definition at line 48 of file SlamGoalRecognizer.h. Referenced by SlamGoalRecognizer::scanHorizontalForGoals(), and SlamGoalRecognizer::scanLinesForGoals().

int SlamGoalRecognizer::ColoredPartsCheck::sizeOfLargePart[maxNumberOfParts]

| Definition at line 49 of file SlamGoalRecognizer.h.

Vector2<int> SlamGoalRecognizer::ColoredPartsCheck::largePartBegin[maxNumberOfParts]

| Definition at line 50 of file SlamGoalRecognizer.h. Referenced by SlamGoalRecognizer::scanLinesForGoals().

Vector2<int> SlamGoalRecognizer::ColoredPartsCheck::largePartEnd[maxNumberOfParts]

| Definition at line 51 of file SlamGoalRecognizer.h. Referenced by SlamGoalRecognizer::scanLinesForGoals().

Vector2<double> SlamGoalRecognizer::ColoredPartsCheck::largePartBeginAngles[maxNumberOfParts]

| Definition at line 52 of file SlamGoalRecognizer.h.

Vector2<double> SlamGoalRecognizer::ColoredPartsCheck::largePartEndAngles[maxNumberOfParts]

| Definition at line 53 of file SlamGoalRecognizer.h.

bool SlamGoalRecognizer::ColoredPartsCheck::largePartBeginIsOnBorder[maxNumberOfParts]

| Definition at line 54 of file SlamGoalRecognizer.h. Referenced by SlamGoalRecognizer::scanLinesForGoals().

bool SlamGoalRecognizer::ColoredPartsCheck::largePartEndIsOnBorder[maxNumberOfParts]

| Definition at line 55 of file SlamGoalRecognizer.h. Referenced by SlamGoalRecognizer::scanLinesForGoals().

The documentation for this struct was generated from the following file:

- Modules/ImageProcessor/SlamImageProcessor/SlamGoalRecognizer.h